std::system_error(3cxx)

NAME
std::system_error - Thrown to indicate error code of underlying system.

SYNOPSIS

#include <system_error>

Inherits std::runtime_error.

Inherited by std::experimental::filesystem::v1::filesystem_error.

  Public Member Functions

system_error (const system_error &)=default
system_error (error_code __ec, const char *__what)
system_error (error_code __ec, const string &__what)
system_error (error_code __ec=error_code())
system_error (int __v, const error_category &__ecat)
system_error (int __v, const error_category &__ecat, const char *__what)
system_error (int __v, const error_category &__ecat, const string &__what)
const error_code & code () const noexcept
system_error & operator= (const system_error &)=default
virtual const char * what () const _GLIBCXX_TXN_SAFE_DYN noexcept

Detailed Description

Thrown to indicate error code of underlying system.

Definition at line 341 of file system_error.

Constructor & Destructor Documentation

  std::system_error::system_error (error_code __ec = error_code()) [inline]

Definition at line 347 of file system_error.

  std::system_error::system_error (error_code __ec, const string & __what) [inline]

Definition at line 350 of file system_error.

  std::system_error::system_error (error_code __ec, const char * __what) [inline]

Definition at line 353 of file system_error.

  std::system_error::system_error (int __v, const error_category & __ecat, const char * __what) [inline]

Definition at line 356 of file system_error.

  std::system_error::system_error (int __v, const error_category & __ecat) [inline]

Definition at line 359 of file system_error.

  std::system_error::system_error (int __v, const error_category & __ecat, const string & __what) [inline]

Definition at line 363 of file system_error.

Member Function Documentation

  const error_code & std::system_error::code () const [inline], [noexcept]

Definition at line 375 of file system_error.

  virtual const char * std::runtime_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.